import React from 'react';

import { withStyles } from '@material-ui/core/styles';

import GridList from '@material-ui/core/GridList';
import FileGridItem from './FileGridItem';

var fileGridStyles = function fileGridStyles(theme) {
    return {
        container: {
            display: 'flex',
            flexWrap: 'wrap',
            overflow: 'hidden',
            width: '100%',
            background: theme.palette.background.paper
        },
        gridList: {
            flex: 1
        }
    };
};

function FileGrid(_ref) {
    var classes = _ref.classes,
        files = _ref.files,
        onDeleteClick = _ref.onDeleteClick,
        onDownloadClick = _ref.onDownloadClick;

    return React.createElement(
        'div',
        { className: classes.container },
        React.createElement(
            GridList,
            {
                className: classes.gridList,
                spacing: 5
            },
            files.map(function (file, index) {
                return React.createElement(FileGridItem, {
                    key: index,
                    index: index,
                    file: file,
                    onFileClick: onDownloadClick,
                    onDeleteClick: onDeleteClick
                });
            })
        )
    );
}

export default withStyles(fileGridStyles)(FileGrid);