'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('@material-ui/core/styles');

var _GridList = require('@material-ui/core/GridList');

var _GridList2 = _interopRequireDefault(_GridList);

var _FileGridItem = require('./FileGridItem');

var _FileGridItem2 = _interopRequireDefault(_FileGridItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var fileGridStyles = function fileGridStyles(theme) {
    return {
        container: {
            display: 'flex',
            flexWrap: 'wrap',
            overflow: 'hidden',
            width: '100%',
            background: theme.palette.background.paper
        },
        gridList: {
            flex: 1
        }
    };
};

function FileGrid(_ref) {
    var classes = _ref.classes,
        files = _ref.files,
        onDeleteClick = _ref.onDeleteClick,
        onDownloadClick = _ref.onDownloadClick;

    return _react2.default.createElement(
        'div',
        { className: classes.container },
        _react2.default.createElement(
            _GridList2.default,
            {
                className: classes.gridList,
                spacing: 5
            },
            files.map(function (file, index) {
                return _react2.default.createElement(_FileGridItem2.default, {
                    key: index,
                    index: index,
                    file: file,
                    onFileClick: onDownloadClick,
                    onDeleteClick: onDeleteClick
                });
            })
        )
    );
}

exports.default = (0, _styles.withStyles)(fileGridStyles)(FileGrid);
module.exports = exports['default'];