'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('@material-ui/core/styles');

var _GridListTile = require('@material-ui/core/GridListTile');

var _GridListTile2 = _interopRequireDefault(_GridListTile);

var _GridListTileBar = require('@material-ui/core/GridListTileBar');

var _GridListTileBar2 = _interopRequireDefault(_GridListTileBar);

var _IconButton = require('@material-ui/core/IconButton');

var _IconButton2 = _interopRequireDefault(_IconButton);

var _Delete = require('@material-ui/icons/Delete');

var _Delete2 = _interopRequireDefault(_Delete);

var _FileImage = require('./FileImage');

var _FileImage2 = _interopRequireDefault(_FileImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var styles = {
    deleteIcon: {
        color: '#fff'
    }
};

function FileGridItem(_ref) {
    var classes = _ref.classes,
        file = _ref.file,
        onFileClick = _ref.onFileClick,
        onDeleteClick = _ref.onDeleteClick,
        index = _ref.index,
        props = _objectWithoutProperties(_ref, ['classes', 'file', 'onFileClick', 'onDeleteClick', 'index']);

    var handleDelete = function handleDelete() {
        onDeleteClick && onDeleteClick(file, index);
    };

    var handleDownload = function handleDownload() {
        onFileClick && onFileClick(file);
    };

    return _react2.default.createElement(
        _GridListTile2.default,
        _extends({}, props, {
            style: _extends({}, props.style, {
                width: 'auto'
            })
        }),
        _react2.default.createElement(_FileImage2.default, {
            src: file.preview ? file.preview : file.link,
            alt: file.name,
            onClick: handleDownload,
            style: {
                height: '100%',
                cursor: 'pointer'
            }
        }),
        _react2.default.createElement(_GridListTileBar2.default, {
            title: file.name,
            subtitle: _react2.default.createElement(
                'span',
                null,
                file.length + ' bytes'
            ),
            actionIcon: _react2.default.createElement(
                _IconButton2.default,
                { onClick: handleDelete },
                _react2.default.createElement(_Delete2.default, {
                    classes: {
                        root: classes.deleteIcon
                    }
                })
            )
        })
    );
}

FileGridItem.muiName = 'GridListTile';

FileGridItem.defaultProps = {
    style: {}
};

FileGridItem.propTypes = process.env.NODE_ENV !== "production" ? {} : {};

exports.default = (0, _styles.withStyles)(styles)(FileGridItem);
module.exports = exports['default'];